taskCallbackNames {base} | R Documentation

## Query the names of the current internal top-level task callbacks

### Usage

    getTaskCallbackNames()

### Arguments

### Value

A character vector giving the name for each of the registered callbacks which are invoked when a top-level task is completed successfully. Each name is the one used when registering the callbacks and returned as the in the call to `addTaskCallback`.

### Note

This is an experimental feature and the interface may be changed in the future.

### See Also

`addTaskCallback` `removeTaskCallback` `taskCallbackManager` http://developer.r-project.org/TaskHandlers.pdf

### Examples

      n <- addTaskCallback(function(expr, value, ok, visible) {
                             cat("In handler\n")
                             return(TRUE)
                           }, name = "simpleHandler")

      getTaskCallbackNames()

        # now remove it by name
      removeTaskCallback("simpleHandler")

      h <- taskCallbackManager()
      h$add(function(expr, value, ok, visible) {
                             cat("In handler\n")
                             return(TRUE)
                           }, name = "simpleHandler")
      getTaskCallbackNames()
      removeTaskCallback("R-taskCallbackManager")

[Package Contents]